import request from '@/utils/request'

// 查询课堂视频评论列表
export function listUserVideoComment(query) {
  return request({
    url: '/course/userVideoComment/list',
    method: 'get',
    params: query
  })
}

// 查询课堂视频评论详细
export function getUserVideoComment(commentId) {
  return request({
    url: '/course/userVideoComment/' + commentId,
    method: 'get'
  })
}

// 新增课堂视频评论
export function addUserVideoComment(data) {
  return request({
    url: '/course/userVideoComment',
    method: 'post',
    data: data
  })
}

// 修改课堂视频评论
export function updateUserVideoComment(data) {
  return request({
    url: '/course/userVideoComment',
    method: 'put',
    data: data
  })
}

// 删除课堂视频评论
export function delUserVideoComment(commentId) {
  return request({
    url: '/course/userVideoComment/' + commentId,
    method: 'delete'
  })
}

// 导出课堂视频评论
export function exportUserVideoComment(query) {
  return request({
    url: '/course/userVideoComment/export',
    method: 'get',
    params: query
  })
}